<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
		XSLT-Stylesheet responsible for transforming gbXML to RDF/OWL
		Author: Mario J. Kofler
		Date: November 2012
		Version: 0.2
		Description: 
		Master File to transform a concrete instance of gbXML (a concrete house model) to individuals in the generated RDF/OWL schema
	 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-->

<!DOCTYPE rdf:RDF [
    <!ENTITY owl "http://www.w3.org/2002/07/owl#" >
    <!ENTITY xsd "http://www.w3.org/2001/XMLSchema#" >
    <!ENTITY owl2xml "http://www.w3.org/2006/12/owl2-xml#" >
    <!ENTITY rdfs "http://www.w3.org/2000/01/rdf-schema#" >
    <!ENTITY rdf "http://www.w3.org/1999/02/22-rdf-syntax-ns#" >
    <!ENTITY gbOnt "http://www.auto.tuwien.ac.at/downloads/thinkhome/ontology/BuildingOntology.owl#" >
]>
<xsl:stylesheet version="2.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:xsd="http://www.w3.org/2001/XMLSchema"
				xmlns:gbx="http://www.gbxml.org/schema"
				xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
				xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
				xmlns:owl="http://www.w3.org/2002/07/owl#"
				xmlns:owl2xml="http://www.w3.org/2006/12/owl2-xml#"
				xmlns:fkt="http://www.auto.tuwien.ac.at/mkofler/functions"
				xmlns:BuildingOntology="http://www.auto.tuwien.ac.at/downloads/thinkhome/ontology/gbBuilding.owl#"
				xmlns:saxon="http://saxon.sf.net/"
				extension-element-prefixes="saxon"
				exclude-result-prefixes="fkt gbx"
				>

<!-- UPDATE 26.11.2012: This parameter has been added to be flexible when dealing with different versions of gbXML. -->
<xsl:param name="vgbXMLVersion"/>
	
<xsl:include href="./functions/functionsGeneral.xsl" />
<xsl:include href="./functions/functionsIndividuals.xsl" />
<xsl:include href="./properties/properties.xsl" />
<xsl:include href="./classes/classes.xsl" />
<xsl:include href="./individuals/individuals.xsl" />

<xsl:output 
			indent="yes"
			omit-xml-declaration="yes"
			encoding="UTF-8"/>

<xsl:template match="/">
			   	
		<!-- DEFINITION OBJECT AND DATATYPE PROPERTIES -->
	
		
	

	<rdf:RDF>
	<xsl:text>
	
	
	
	
	
	<!-- for concantenation reasons of Model and Individuals this space is necessary and recommended, in order to simplify the search for the transition between general model and concrete instances -->
	
	
	
	
	</xsl:text>
	<!-- apply templates to create individuals, which means the actual modeled house -->
		<xsl:apply-templates select="/gbx:gbXML" mode="complete"/>

    </rdf:RDF>	  	  

</xsl:template>

</xsl:stylesheet>