<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
		XSLT-Stylesheet responsible for transforming gbXML to RDF/OWL
		Author: Mario J. Kofler
		Date: November 2012
		Version: 0.2
		Description: 
		Master File to transform information of the gbXML schema to a RDF/OWL schema
	 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-->

<!DOCTYPE rdf:RDF [
    <!ENTITY owl "http://www.w3.org/2002/07/owl#" >
    <!ENTITY xsd "http://www.w3.org/2001/XMLSchema#" >
    <!ENTITY owl2xml "http://www.w3.org/2006/12/owl2-xml#" >
    <!ENTITY rdfs "http://www.w3.org/2000/01/rdf-schema#" >
    <!ENTITY rdf "http://www.w3.org/1999/02/22-rdf-syntax-ns#" >
    <!ENTITY gbOnt "http://www.auto.tuwien.ac.at/downloads/thinkhome/ontology/gbBuilding.owl#" >
]>
<xsl:stylesheet version="2.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:xsd="http://www.w3.org/2001/XMLSchema"
				xmlns:gbx="http://www.gbxml.org/schema/0-36"
				xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
				xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
				xmlns:owl="http://www.w3.org/2002/07/owl#"
				xmlns:owl2xml="http://www.w3.org/2006/12/owl2-xml#"
				xmlns:fkt="http://www.auto.tuwien.ac.at/mkofler/functions"
				xmlns:BuildingOntology="http://www.auto.tuwien.ac.at/downloads/thinkhome/ontology/gbBuildingOntology.owl#"
				xmlns:ontology="http://www.auto.tuwien.ac.at/downloads/thinkhome/ontology/"
				xmlns:saxon="http://saxon.sf.net/"
				extension-element-prefixes="saxon"
				exclude-result-prefixes="fkt gbx"
				>
				
<!-- UPDATE 26.11.2012: This  parameter has been added to be flexible when dealing with different versions of gbXML. -->
<xsl:param name="vgbXMLVersion"/>
	
<xsl:include href="./functions/functionsGeneral.xsl" />
<xsl:include href="./properties/properties.xsl" />
<xsl:include href="./classes/classes.xsl" />


<xsl:output 
			indent="yes"
			omit-xml-declaration="no"
			encoding="UTF-8"/>

<xsl:template match="/">
	<xsl:text disable-output-escaping="yes">
		&lt;!DOCTYPE rdf:RDF [
    	&lt;!ENTITY owl &quot;http://www.w3.org/2002/07/owl#&quot; &gt;
    	&lt;!ENTITY xsd &quot;http://www.w3.org/2001/XMLSchema#&quot; &gt;
    	&lt;!ENTITY owl2xml &quot;http://www.w3.org/2006/12/owl2-xml#&quot; &gt;
    	&lt;!ENTITY rdfs &quot;http://www.w3.org/2000/01/rdf-schema#&quot; &gt;
    	&lt;!ENTITY rdf &quot;http://www.w3.org/1999/02/22-rdf-syntax-ns#&quot; &gt;
    	&lt;!ENTITY BuildingOntology &quot;http://www.auto.tuwien.ac.at/downloads/thinkhome/ontology/gbBuilding.owl#&quot; &gt;
    	&lt;!ENTITY gbdt &quot;http://www.gbxml.org/schema/0-37/GreenBuildingXML.xsd#&quot; &gt;
    	&lt;!ENTITY ontology &quot;http://www.auto.tuwien.ac.at/thinkhome/ontology/&quot; &gt;
		]&gt;
	</xsl:text>
	<rdf:RDF xmlns="http://www.auto.tuwien.ac.at/downloads/thinkhome/ontology/gbBuilding.owl#"
			 xml:base="http://www.auto.tuwien.ac.at/downloads/thinkhome/ontology/gbBuilding.owl#">


    	<owl:Ontology rdf:about=""/>
    	
		<!-- DEFINITION OBJECT AND DATATYPE PROPERTIES -->
	
		<!-- apply templates to create classes -->
		<xsl:apply-templates select="xsd:schema" mode="class"/>

    </rdf:RDF>	  

</xsl:template>

</xsl:stylesheet>